commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gary D. Gregory (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (VFS-415) Update VFS requirement to Java 1.6
Date Mon, 14 May 2012 13:27:50 GMT

    [ https://issues.apache.org/jira/browse/VFS-415?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13274589#comment-13274589
] 

Gary D. Gregory commented on VFS-415:
-------------------------------------

This has been backed out of SVN for now.

Whys:
- Make VFS more attractive for new user/developers, new committers in the 21st century. No
one can force anyone to upgrade to the next version.
- Keep VFS relevant. The older versions are still there for volunteers to patch.
- Open the door for newer versions of jars that required Java 6, like commons-io 2.3.
                
> Update VFS requirement to Java 1.6
> ----------------------------------
>
>                 Key: VFS-415
>                 URL: https://issues.apache.org/jira/browse/VFS-415
>             Project: Commons VFS
>          Issue Type: Task
>    Affects Versions: 2.0
>         Environment: Apache Maven 3.0.4 (r1232337; 2012-01-17 03:44:56-0500)
> Maven home: C:\Java\apache-maven-3.0.4\bin\..
> Java version: 1.6.0_31, vendor: Sun Microsystems Inc.
> Java home: C:\Program Files\Java\jdk1.6.0_31\jre
> Default locale: en_US, platform encoding: Cp1252
> OS name: "windows 7", version: "6.1", arch: "amd64", family: "windows"
>            Reporter: Gary D. Gregory
>             Fix For: 2.1
>
>
> Update VFS requirement to Java 1.6.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message